<?php
 namespace VnChocola\Module\Reserve;
 use TCMS\Module;
 use Route;
 use LayoutData;
 class ReserveManager extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/add','IndexController','index')->name('reserveAdd');
 }
 public function registerComponent() {
 }
 public function boot() {
 }
 public function middleware(string $routeName, $auth) {
 switch($routeName) {
 case 'reserveAdd': return $auth->hasRole(\RoleGlobal::$role->viewReserve);
 default: return false;
 }
 }
 }
